path: /build/build/gvim-app-editors-9.1.0663.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="-aqua -lua -motif -perl -python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -racket -ruby -selinux -session acl crypt cscope kernel_linux lua_single_target_lua5-1 lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4 lua_single_target_luajit nls python python_single_target_python3_9 sound tcl" emerge app-editors/gvim -pv -t && \
    USE="-aqua -lua -motif -perl -python_single_target_python2_7 -python_single_target_python3_10 -python_single_target_python3_7 -python_single_target_python3_8 -racket -ruby -selinux -session acl crypt cscope kernel_linux lua_single_target_lua5-1 lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4 lua_single_target_luajit nls python python_single_target_python3_9 sound tcl" emerge -j ${JOBS} --nodeps app-editors/gvim
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/gvim && luet-portage --dir /pkgdir/gvim
    app-editors/gvim && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:45ec65c16bbfcbad1487f2363e8d3f91664c5a011d9a67e203c6ca0d7b33d975
  package:
    name: gvim
    version: 9.1.0663
    category: app-editors
    use_flags:
    - -aqua
    - -lua
    - -motif
    - -perl
    - -python_single_target_python2_7
    - -python_single_target_python3_10
    - -python_single_target_python3_7
    - -python_single_target_python3_8
    - -racket
    - -ruby
    - -selinux
    - -session
    - acl
    - crypt
    - cscope
    - kernel_linux
    - lua_single_target_lua5-1
    - lua_single_target_lua5-2
    - lua_single_target_lua5-3
    - lua_single_target_lua5-4
    - lua_single_target_luajit
    - nls
    - python
    - python_single_target_python3_9
    - sound
    - tcl
    requires:
    - name: macaroni-funtoo-race16
      version: '>=0'
      category: seed
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: GUI version of the Vim text editor
    uri:
    - http://www.vim.org/ https://github.com/vim/vim
    license: vim
    buildtimestamp: 2024-08-19 09:29:56.943599765 +0000 UTC m=+181.246101442
    labels:
      BDEPEND: sys-devel/autoconf virtual/pkgconfig lua? ( lua_single_target_luajit?
        ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
        ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
        ( dev-lua/lua:5.4 ) ) nls? ( sys-devel/gettext )
      DEPEND: ~app-editors/vim-core-9.1.0663 >=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0=
        x11-libs/libICE x11-libs/libSM x11-libs/libXext x11-libs/libXt acl? ( kernel_linux?
        ( sys-apps/acl ) ) !aqua? ( motif? ( >=x11-libs/motif-2.3:0 ) !motif? ( x11-libs/gtk+:3
        x11-libs/libXft ) ) crypt? ( dev-libs/libsodium:= ) cscope? ( dev-util/cscope
        ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1[deprecated] ) ) nls? ( virtual/libintl ) perl? ( dev-lang/perl:=
        ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)]
        >=dev-lang/python-exec-2:=[python_targets_python3_10] ) python_single_target_python3_7?
        ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
        >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
        ) ruby? ( || ( dev-lang/ruby:3.0 ) virtual/rubygems ) selinux? ( sys-libs/libselinux
        ) session? ( x11-libs/libSM ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0=
        )
      IUSE: acl aqua crypt cscope debug lua minimal motif netbeans nls perl python
        racket ruby selinux session sound tcl lua_single_target_luajit lua_single_target_lua5-1
        lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4
        python_single_target_python3_10 python_single_target_python3_7 python_single_target_python3_9
        python_single_target_python3_8 python_single_target_python2_7 python_targets_python3_10
        python_targets_python3_7 python_targets_python3_9 python_targets_python3_8
        python_targets_python2_7
      RDEPEND: ~app-editors/vim-core-9.1.0663 >=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0=
        x11-libs/libICE x11-libs/libSM x11-libs/libXext x11-libs/libXt acl? ( kernel_linux?
        ( sys-apps/acl ) ) !aqua? ( motif? ( >=x11-libs/motif-2.3:0 ) !motif? ( x11-libs/gtk+:3
        x11-libs/libXft ) ) crypt? ( dev-libs/libsodium:= ) cscope? ( dev-util/cscope
        ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
        ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) lua_single_target_lua5-1?
        ( dev-lang/lua:5.1[deprecated] ) ) nls? ( virtual/libintl ) perl? ( dev-lang/perl:=
        ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)]
        >=dev-lang/python-exec-2:=[python_targets_python3_10] ) python_single_target_python3_7?
        ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
        ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
        ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
        ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
        >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
        ) ruby? ( || ( dev-lang/ruby:3.0 ) virtual/rubygems ) selinux? ( sys-libs/libselinux
        ) session? ( x11-libs/libSM ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0=
        )
      emerge.packages: app-editors/gvim
      kit: editors-kit
      original.package.name: app-editors/gvim
      original.package.slot: "0"
      original.package.version: 9.1.0663
    treedir: /build/packages
  package_dir: /pkgdir/gvim
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 54b4160aeb5a882e68434f654918c402ec2b27cc6e84f240113438a5c831467c
compressiontype: zstd
files:
- etc/vim/gvimrc
- usr/bin/eview
- usr/bin/evim
- usr/bin/gview
- usr/bin/gvim
- usr/bin/gvimdiff
- usr/bin/rgview
- usr/bin/rgvim
- usr/share/applications/gvim.desktop
- usr/share/bash-completion/completions/eview
- usr/share/bash-completion/completions/evim
- usr/share/bash-completion/completions/gview
- usr/share/bash-completion/completions/gvim
- usr/share/bash-completion/completions/gvimdiff
- usr/share/bash-completion/completions/rgview
- usr/share/bash-completion/completions/rgvim
- usr/share/icons/hicolor/48x48/apps/gvim.png
- usr/share/icons/locolor/16x16/apps/gvim.png
- usr/share/icons/locolor/32x32/apps/gvim.png
- usr/share/man/man1/gview.1
- usr/share/man/man1/gvim.1
- usr/share/man/man1/gvimdiff.1
- var/db/pkg/app-editors/gvim-9.1.0663/BDEPEND
- var/db/pkg/app-editors/gvim-9.1.0663/BUILD_TIME
- var/db/pkg/app-editors/gvim-9.1.0663/CATEGORY
- var/db/pkg/app-editors/gvim-9.1.0663/CBUILD
- var/db/pkg/app-editors/gvim-9.1.0663/CFLAGS
- var/db/pkg/app-editors/gvim-9.1.0663/CHOST
- var/db/pkg/app-editors/gvim-9.1.0663/CONTENTS
- var/db/pkg/app-editors/gvim-9.1.0663/COUNTER
- var/db/pkg/app-editors/gvim-9.1.0663/CXXFLAGS
- var/db/pkg/app-editors/gvim-9.1.0663/DEFINED_PHASES
- var/db/pkg/app-editors/gvim-9.1.0663/DEPEND
- var/db/pkg/app-editors/gvim-9.1.0663/DESCRIPTION
- var/db/pkg/app-editors/gvim-9.1.0663/EAPI
- var/db/pkg/app-editors/gvim-9.1.0663/FEATURES
- var/db/pkg/app-editors/gvim-9.1.0663/HOMEPAGE
- var/db/pkg/app-editors/gvim-9.1.0663/INHERITED
- var/db/pkg/app-editors/gvim-9.1.0663/IUSE
- var/db/pkg/app-editors/gvim-9.1.0663/IUSE_EFFECTIVE
- var/db/pkg/app-editors/gvim-9.1.0663/KEYWORDS
- var/db/pkg/app-editors/gvim-9.1.0663/LDFLAGS
- var/db/pkg/app-editors/gvim-9.1.0663/LICENSE
- var/db/pkg/app-editors/gvim-9.1.0663/NEEDED
- var/db/pkg/app-editors/gvim-9.1.0663/PF
- var/db/pkg/app-editors/gvim-9.1.0663/RDEPEND
- var/db/pkg/app-editors/gvim-9.1.0663/REQUIRES
- var/db/pkg/app-editors/gvim-9.1.0663/RESTRICT
- var/db/pkg/app-editors/gvim-9.1.0663/SIZE
- var/db/pkg/app-editors/gvim-9.1.0663/SLOT
- var/db/pkg/app-editors/gvim-9.1.0663/USE
- var/db/pkg/app-editors/gvim-9.1.0663/environment.bz2
- var/db/pkg/app-editors/gvim-9.1.0663/gvim-9.1.0663.ebuild
- var/db/pkg/app-editors/gvim-9.1.0663/repository
package_cacheimage: ""
runtime:
  name: gvim
  version: 9.1.0663
  category: app-editors
  use_flags:
  - -aqua
  - -lua
  - -motif
  - -perl
  - -python_single_target_python2_7
  - -python_single_target_python3_10
  - -python_single_target_python3_7
  - -python_single_target_python3_8
  - -racket
  - -ruby
  - -selinux
  - -session
  - acl
  - crypt
  - cscope
  - kernel_linux
  - lua_single_target_lua5-1
  - lua_single_target_lua5-2
  - lua_single_target_lua5-3
  - lua_single_target_lua5-4
  - lua_single_target_luajit
  - nls
  - python
  - python_single_target_python3_9
  - sound
  - tcl
  requires:
  - name: vim-core
    version: '>=0'
    category: app-editors
  - name: eselect-vi
    version: '>=0'
    category: app-eselect
  - name: python
    version: '>=0'
    category: dev-lang-3.9
  - name: python-exec
    version: '>=0'
    category: dev-lang-2
  - name: libsodium
    version: '>=0'
    category: dev-libs
  - name: cscope
    version: '>=0'
    category: dev-util
  - name: acl
    version: '>=0'
    category: sys-apps
  - name: libintl
    version: '>=0'
    category: virtual
  - name: gtk+
    version: '>=0'
    category: x11-libs-3
  - name: libXft
    version: '>=0'
    category: x11-libs
  - name: libXt
    version: '>=0'
    category: x11-libs
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: GUI version of the Vim text editor
  uri:
  - http://www.vim.org/ https://github.com/vim/vim
  license: vim
  labels:
    BDEPEND: sys-devel/autoconf virtual/pkgconfig lua? ( lua_single_target_luajit?
      ( dev-lang/luajit:= ) lua_single_target_lua5-1? ( dev-lang/lua:5.1 ) lua_single_target_lua5-2?
      ( dev-lua/lua:5.2 ) lua_single_target_lua5-3? ( dev-lua/lua:5.3 ) lua_single_target_lua5-4?
      ( dev-lua/lua:5.4 ) ) nls? ( sys-devel/gettext )
    DEPEND: ~app-editors/vim-core-9.1.0663 >=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0=
      x11-libs/libICE x11-libs/libSM x11-libs/libXext x11-libs/libXt acl? ( kernel_linux?
      ( sys-apps/acl ) ) !aqua? ( motif? ( >=x11-libs/motif-2.3:0 ) !motif? ( x11-libs/gtk+:3
      x11-libs/libXft ) ) crypt? ( dev-libs/libsodium:= ) cscope? ( dev-util/cscope
      ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
      ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
      ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) lua_single_target_lua5-1?
      ( dev-lang/lua:5.1[deprecated] ) ) nls? ( virtual/libintl ) perl? ( dev-lang/perl:=
      ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)]
      >=dev-lang/python-exec-2:=[python_targets_python3_10] ) python_single_target_python3_7?
      ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
      >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
      ) ruby? ( || ( dev-lang/ruby:3.0 ) virtual/rubygems ) selinux? ( sys-libs/libselinux
      ) session? ( x11-libs/libSM ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0=
      )
    IUSE: acl aqua crypt cscope debug lua minimal motif netbeans nls perl python racket
      ruby selinux session sound tcl lua_single_target_luajit lua_single_target_lua5-1
      lua_single_target_lua5-2 lua_single_target_lua5-3 lua_single_target_lua5-4 python_single_target_python3_10
      python_single_target_python3_7 python_single_target_python3_9 python_single_target_python3_8
      python_single_target_python2_7 python_targets_python3_10 python_targets_python3_7
      python_targets_python3_9 python_targets_python3_8 python_targets_python2_7
    RDEPEND: ~app-editors/vim-core-9.1.0663 >=app-eselect/eselect-vi-1.1 >=sys-libs/ncurses-5.2-r2:0=
      x11-libs/libICE x11-libs/libSM x11-libs/libXext x11-libs/libXt acl? ( kernel_linux?
      ( sys-apps/acl ) ) !aqua? ( motif? ( >=x11-libs/motif-2.3:0 ) !motif? ( x11-libs/gtk+:3
      x11-libs/libXft ) ) crypt? ( dev-libs/libsodium:= ) cscope? ( dev-util/cscope
      ) lua? ( lua_single_target_luajit? ( dev-lang/luajit:= ) lua_single_target_lua5-1?
      ( dev-lang/lua:5.1 ) lua_single_target_lua5-2? ( dev-lua/lua:5.2 ) lua_single_target_lua5-3?
      ( dev-lua/lua:5.3 ) lua_single_target_lua5-4? ( dev-lua/lua:5.4 ) lua_single_target_lua5-1?
      ( dev-lang/lua:5.1[deprecated] ) ) nls? ( virtual/libintl ) perl? ( dev-lang/perl:=
      ) python? ( python_single_target_python3_10? ( dev-lang/python:3.10[threads(+)]
      >=dev-lang/python-exec-2:=[python_targets_python3_10] ) python_single_target_python3_7?
      ( dev-lang/python:3.7[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_7]
      ) python_single_target_python3_9? ( dev-lang/python:3.9[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_9]
      ) python_single_target_python3_8? ( dev-lang/python:3.8[threads(+)] >=dev-lang/python-exec-2:=[python_targets_python3_8]
      ) python_single_target_python2_7? ( >=dev-lang/python-2.7.5-r2:2.7[threads(+)]
      >=dev-lang/python-exec-2:=[python_targets_python2_7] ) ) racket? ( dev-scheme/racket
      ) ruby? ( || ( dev-lang/ruby:3.0 ) virtual/rubygems ) selinux? ( sys-libs/libselinux
      ) session? ( x11-libs/libSM ) sound? ( media-libs/libcanberra ) tcl? ( dev-lang/tcl:0=
      )
    emerge.packages: app-editors/gvim
    kit: editors-kit
    original.package.name: app-editors/gvim
    original.package.slot: "0"
    original.package.version: 9.1.0663
